ASHRAE
Get nearest ASHRAE station by coordinates
GET /ASHRAE
Returns the closest ASHRAE station based on the specified coordinates. The station with the shortest distance from the latitude and longitude is returned.
Parameters:
Latitude(query, required): Latitude coordinate.Longitude(query, required): Longitude coordinate.Version(query, optional): ASHRAE version (AshraeVersionEnum). Default: Version_2021.
GET
Get nearest ASHRAE station by coordinates
Authorizations
Pass Authorization: Bearer <token> on every request. See the Authentication section of the API description for how to fetch a token.
Response
ASHRAE station data
ASHRAE design-conditions table version year (e.g., 2021). Returned as integer despite the look of a year string.
Previous
Get a specific ASHRAE station by name### GET /ASHRAE/GetStation
Returns the closest ASHRAE station matching the provided name and shortest distance from the specified coordinates.
**Parameters:**
- `StationName` (query, required): Name of the ASHRAE station to match.
- `Latitude` (query, required): Latitude coordinate.
- `Longitude` (query, required): Longitude coordinate.
- `Version` (query, optional): ASHRAE version (AshraeVersionEnum). Default: Version_2021.
Next
Get nearest ASHRAE station by coordinates